diff --git a/lisp/cedet/ChangeLog b/lisp/cedet/ChangeLog
index 6862181..4e3a553 100644
--- a/lisp/cedet/ChangeLog
+++ b/lisp/cedet/ChangeLog
@@ -1,3 +1,13 @@
+2013-10-28  Barry O'Reilly  <gundaetiapo@gmail.com>
+
+       * semantic/idle.el (semantic-idle-symbol-highlight)
+       (semantic-idle-symbol-highlight-face): Define face with defface
+       and obsolete the replaced one defined with defvar.
+       (semantic-idle-symbol-maybe-highlight)
+       (semantic-idle-local-symbol-highlight): Pass face as symbol
+       * pulse.el (pulse-momentary-highlight-overlay)
+       (pulse-momentary-highlight-region): Fix typo in doc
+
 2013-10-20  Johan Bockgård  <bojohan@gnu.org>
 
        * semantic/db-mode.el (global-semanticdb-minor-mode): Remove hooks
diff --git a/lisp/cedet/pulse.el b/lisp/cedet/pulse.el
index 268beed..4a3b501 100644
--- a/lisp/cedet/pulse.el
+++ b/lisp/cedet/pulse.el
@@ -180,7 +180,7 @@ Be sure to call `pulse-reset-face' after calling pulse."
 
 (defun pulse-momentary-highlight-overlay (o &optional face)
   "Pulse the overlay O, unhighlighting before next command.
-Optional argument FACE specifies the fact to do the highlighting."
+Optional argument FACE specifies the face to do the highlighting."
   (overlay-put o 'original-face (overlay-get o 'face))
   (add-to-list 'pulse-momentary-overlay o)
   (if (eq pulse-flag 'never)
@@ -237,7 +237,7 @@ Optional argument FACE specifies the face to do the highlighting."
 
 (defun pulse-momentary-highlight-region (start end &optional face)
   "Highlight between START and END, unhighlighting before next command.
-Optional argument FACE specifies the fact to do the highlighting."
+Optional argument FACE specifies the face to do the highlighting."
   (let ((o (make-overlay start end)))
     ;; Mark it for deletion
     (overlay-put o 'pulse-delete t)
diff --git a/lisp/cedet/semantic/idle.el b/lisp/cedet/semantic/idle.el
index d024e5d..4bde8a5 100644
--- a/lisp/cedet/semantic/idle.el
+++ b/lisp/cedet/semantic/idle.el
@@ -830,8 +830,19 @@ turned on in every Semantic-supported buffer."
 ;; of all uses of the symbol that is under the cursor.
 ;;
 ;; This is to mimic the Eclipse tool of a similar nature.
-(defvar semantic-idle-symbol-highlight-face 'region
-  "Face used for highlighting local symbols.")
+(defface semantic-idle-symbol-highlight
+  '((((class color) (background dark))
+     ;; Put this back to something closer to black later.
+     (:background "gray20"))
+    (((class color) (background light))
+     (:background "gray90")))
+  "Face used for highlighting local symbols."
+  :group 'semantic-faces)
+(defvar semantic-idle-symbol-highlight-face 'semantic-idle-symbol-highlight)
+(define-obsolete-face-alias
+  'semantic-idle-symbol-highlight-face
+  'semantic-idle-symbol-highlight
+  "24.4")
 
 (defun semantic-idle-symbol-maybe-highlight (tag)
   "Perhaps add highlighting to the symbol represented by TAG.
@@ -857,12 +868,12 @@ visible, then highlight it."
                      (point) (get-buffer-window (current-buffer) 'visible))
                 (if (< (semantic-overlay-end region) (point-at-eol))
                     (pulse-momentary-highlight-overlay
-                     region semantic-idle-symbol-highlight-face)
+                     region 'semantic-idle-symbol-highlight)
                   ;; Not the same
                   (pulse-momentary-highlight-region
                    (semantic-overlay-start region)
                    (point-at-eol)
-                   semantic-idle-symbol-highlight-face))))
+                   'semantic-idle-symbol-highlight))))
             ))
          ((vectorp region)
           (let ((start (aref region 0))
@@ -882,7 +893,7 @@ visible, then highlight it."
                   (pulse-momentary-highlight-region
                    start (if (<= end (point-at-eol)) end
                            (point-at-eol))
-                   semantic-idle-symbol-highlight-face)))
+                   'semantic-idle-symbol-highlight)))
               ))))
     nil))
 
@@ -913,7 +924,7 @@ Call `semantic-symref-hits-in-region' to identify local references."
           target (lambda (start end prefix)
                    (when (/= start (car Hbounds))
                      (pulse-momentary-highlight-region
-                      start end semantic-idle-symbol-highlight-face))
+                      start end 'semantic-idle-symbol-highlight))
                    (semantic-throw-on-input 'symref-highlight)
                    )
           (semantic-tag-start tag)
